import sys
import math

def get_numof_paths(k, m, n):
    def dfs(x, y, k):
        if x < 0 or x >= m + 1 or y < 0 or y >= n + 1 or k < 0:
            return 0
        if x == m and y == n:
            return 1
        if visited[x][y][k]:
            return 0
        visited[x][y][k] = True
        paths = dfs(x + 1, y, k - 1) + dfs(x, y + 1, k - 1)
        visited[x][y][k] = False
        
        return paths
    visited = [[[False] * (k + 1) for _ in range(n + 1)] for _ in range(m + 1)]
    
    return dfs(0, 0, k)

def get_numof_paths_2(m, n):
    return math.comb(m + n - 2, n - 1)

if __name__ == "__main__":
    inputs = []
    for line in sys.stdin:
        inputs.append(int(line))
    
    [k,m,n] = inputs
    
    if k >= m + n:
        # print(get_numof_paths(k, m, n))
        print(get_numof_paths_2(m + 1, n + 1))
    else:
        print(0)